%define name doxygen
%define version 1.2.9.1
%define prefix %{_prefix}
%define release 1mdk

Name: %{name}
Summary: Doxygen is THE documentation system for C/C++
Version: %{version}
Release: %{release}
Group: Development/Other
License: GPL
URL: http://www.stack.nl/~dimitri/doxygen/
Source:	http://www.stack.nl/~dimitri/doxygen/dl/%{name}-%{version}.src.tar.bz2
Source1: GPL-LICENSE.bz2
BuildRequires: XFree86-devel ghostscript libqt2-devel tetex-dvips tetex-latex
Packager: Guillaume Cottenceau <gc@mandrakesoft.com>
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Serial: 1

%description
Doxygen is a documentation system for C, C++ and IDL. It can generate an
on-line class browser (in HTML) and/or an off-line reference manual (in LaTeX)
from a set of documented source files. There is also support for generating man
lpages and for converting the generated output into Postscript, hyperlinked PDF
or compressed HTML. The documentation is extracted directly from the sources.

Doxygen can also be configured to extract the code-structure from undocumented
source files. This can be very useful to quickly find your way in large source
distributions.

%prep
%setup -q
perl -pi -e "s|^TMAKE_CFLAGS_RELEASE.*|TMAKE_CFLAGS_RELEASE = $RPM_OPT_FLAGS|" tmake/lib/linux-g++/tmake.conf

%build
export QTDIR=/usr/lib/qt2
./configure --with-doxywizard
make
make docs
make ps
mkdir ps
mv latex/doxygen_manual.ps ps
bzcat %{SOURCE1} > LICENSE

%install
install -d ${RPM_BUILD_ROOT}%{_bindir}
install -s bin/doxy* ${RPM_BUILD_ROOT}%{_bindir}

%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-, root, root)
%doc html examples ps
%doc README LICENSE
%{_bindir}/doxygen
%{_bindir}/doxytag
%{_bindir}/doxysearch
%{_bindir}/doxywizard


%changelog
* Mon Aug  6 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 1.2.9.1-1mdk
- new version
- no separate frontend generating xml anymore

* Mon Jul 23 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 1.2.8.1-2mdk
- provides doxywizard and doxygen_xml, thanks to Konrad.Bernloehr@mpi-hd.mpg.de

* Fri Jun 15 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 1.2.8.1-1mdk
- version 1.2.8.1

* Fri Jun  8 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 1.2.8-1mdk
- version 1.2.8

* Fri May  4 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 1.2.7-1mdk
- 1.2.7

* Thu Apr 26 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 1.2.6-1mdk
- revert Dadou's changes to my specfile - wonder if this shit with Dadou
  changing specfiles to fit his cosmetik desires will end someday
- 1.2.6

* Tue Feb 06 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.2.5-1mdk
- new and shiny source.

* Tue Jan  2 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 1.2.4-1mdk
- 1.2.4 (happy new year)

* Thu Dec 14 2000 Jeff Garzik <jgarzik@mandrakesoft.com> 1.2.3-3mdk
- do not exclude Alpha

* Fri Nov  3 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.2.3-2mdk
- recompile against newest libstdc++

* Tue Oct 31 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.2.3-1mdk
- 1.2.3

* Thu Oct 12 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.2.2-1mdk
- 1.2.2

* Wed Aug 23 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.2.1-2mdk
- automatically added packager tag

* Sun Aug 13 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.2.1-1mdk
- 1.2.1

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.2.0-2mdk
- automatically added BuildRequires

* Mon Jul 24 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.2.0-1mdk
- 1.2.0

* Thu Jul 20 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.0.0-4mdk
- BM
- macros

* Wed May 24 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.0.0-3mdk
- ExcludeArch: alpha (yep lazzyness).

* Sat Apr  1 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.0.0-1mdk
- first Mandrake release
- patch to fix wrong lookup of Qt include/lib
